<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <script src="https://d3js.org/d3.v5.min.js"></script>
</head>
<body>
<h1>hello</h1>

<script>
    const treemap = data => d3.treemap()
        .tile(tile)
        .size([width, height])
        .padding(1)
        .round(true)
        (d3.hierarchy(data)
            .sum(d => d.value)
            .sort((a, b) => b.value - a.value))

    fetch("/data")
        .then(response => response.json())
        .then(response => {
            console.log(response);
            treemap(response);
        })
</script>


</body>
</html>